#
# spec file for package smartmontools (Version 5.36.cvs20061025)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gcc41 gcc41-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           smartmontools
License:        GNU General Public License (GPL)
Group:          Hardware/Other
Autoreqprov:    on
Version:        5.37
Release:        1
Source:         %{name}-%{version}.tar.bz2
#Source:         sm5-cvs20061025.tar.bz2
Source1:        README.SATA
Patch:          smartmontools-powersave-notify.patch
#Patch1:         smartmontools-cciss.patch
Patch1:		os_linux.diff
Patch2:         smartmontools-default-enabled.patch
PreReq:         %insserv_prereq %fillup_prereq
%if %suse_version > 1000
Requires:       powersave
%endif
URL:            http://smartmontools.sourceforge.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++ libstdc++-devel
Summary:        Monitor for S.M.A.R.T. Disks and Devices
Obsoletes:      smartctl smartd ucsc-smartsuite smartsuite

%description
SMARTmontools controls and monitors storage devices using the
Self-Monitoring, Analysis, and Reporting Technology System (S.M.A.R.T.)
built into ATA, SATA and SCSI Hard Drives.  This is used to check hard
drive reliability and to predict drive failures.  The suite contains
two utilities.	The first, smartctl, is a command line utility designed
to perform simple S.M.A.R.T. tasks.  The second, smartd, is a daemon
that periodically monitors smart status and reports errors to syslog. 
The package is compatible with the ATA/ATAPI-3 to -7 specification. 
The package is intended to incorporate as much "vendor specific" and
"reserved" information as possible about disk drives. The commands man
smartctl and man smartd will provide more information.



Authors:
--------
    Bruce Allen <smartmontools-support@lists.sourceforge.net>

%debug_package
%prep
%setup
#%setup -n sm5
cp -a %{S:1} .
%if %suse_version > 1000
%patch
%endif
%patch1
%if %suse_version >= 1010
%patch2
%endif

%build
./autogen.sh
%if %suse_version > 930
CFLAGS="$RPM_OPT_FLAGS -fPIE" \
CXXFLAGS="$RPM_OPT_FLAGS -fPIE" \
LDFLAGS="-pie" \
%else
CFLAGS="$RPM_OPT_FLAGS" \
CXXFLAGS="$RPM_OPT_FLAGS" \
%endif
./configure --prefix=/usr --mandir=%_mandir --sysconfdir=/etc --with-docdir=%{_defaultdocdir}/%{name}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp smartd.initd $RPM_BUILD_ROOT/etc/init.d/smartd
chmod +x $RPM_BUILD_ROOT/etc/init.d/smartd
ln -s ../../etc/init.d/smartd $RPM_BUILD_ROOT/usr/sbin/rcsmartd
%if %suse_version > 1000
mkdir -p $RPM_BUILD_ROOT/usr/lib/smartmontools
cp examplescripts/Example4 $RPM_BUILD_ROOT/usr/lib/smartmontools/smart-notify
chmod +x $RPM_BUILD_ROOT/usr/lib/smartmontools/smart-notify
%endif
mkdir -p $RPM_BUILD_ROOT/etc/default
echo '#smartd_opts=""' >$RPM_BUILD_ROOT/etc/default/smartmontools
mkdir -p $RPM_BUILD_ROOT/%_docdir
%if %suse_version < 1010
cp README.SATA $RPM_BUILD_ROOT/usr/share/doc/packages/%name
%endif
#remove installed files we don't want to package
rm -rf $RPM_BUILD_ROOT/etc/rc.d/init.d/

%preun
%{stop_on_removal smartd}

%post
%if %suse_version < 1010
# With some broken drivers in older kernels, smartd can hang the system.
# Don't start it by default.
%{fillup_and_insserv -n smartd}
%else
# We have a new kernel. We can run smartd by default.
if test -f usr/share/doc/packages/smartmontools/README.SATA ; then
# We are updating from older version, which cannot start smartd out of the box.
# Turn it on by default just now.
%{fillup_and_insserv -Y -n smartd}
else
# We are updating from newer version. Respect possible explicit disabling.
%{fillup_and_insserv -y -n smartd}
fi
%endif

%postun
%{restart_on_update smartd}
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %_docdir/%name
%config(noreplace) /etc/default/*
/etc/init.d/*
%config(noreplace) /etc/*.conf
%if %suse_version > 1000
/usr/lib/smartmontools
%endif
/usr/sbin/*
%doc %_mandir/man*/*

%changelog -n smartmontools
* Thu Jan 25 2007 - joe_morris@ntm.org
- Updated to the experimental 5.37 version
* Wed Oct 25 2006 - sbrabec@suse.cz
- Updated to the today CVS version:
  * Supports SATA devices scanning out of the box (#201715#c9).
  * Supports SATA devices behind SCSI ATA Translation layer.
  * Supports SATA drives behind HighPoint Raid controllers.
  * Supports HP SmartArray RAID controller (cciss) (#186013).
- Updated SATA support stuff.
- Start smartd by default on new enough kernels (#201715).
* Wed Sep 13 2006 - sbrabec@suse.cz
- Integrated with powersave.
- Use upstream init script.
* Thu Sep 07 2006 - sbrabec@suse.cz
- Updated to version 5.36:
  * Additions to the table of known drives.
  * Works 'out of the box' with Linux SATA libata.
  * smartd option added to list test schedules.
  * smartctl option added to list part of drive database.
  * Various improvements for SCSI disks and logs.
  * Printing of drive family info.
  * SCSI disks: output size of grown defect list.
  * Added info about drive family to 'smartctl -i' output.
  * Added option ',q' for smartd '-n' directive to suppress
  'skipping checks' message which may spin up laptop disk.
  * Added message if smartd '-n' check power mode spins up disk.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jun 21 2005 - ro@suse.de
- use RPM_OPT_FLAGS
- build with fPIE/pie
* Fri Mar 18 2005 - sbrabec@suse.cz
- Additional information on SATA support.
* Tue Feb 22 2005 - sbrabec@suse.cz
- Added comments on temperature data in smartd.conf (#50156).
* Mon Jan 24 2005 - sbrabec@suse.cz
- Updated to version 5.33.
* Mon Jan 03 2005 - sbrabec@suse.cz
- Fixed missing pid reference in init script (#49546).
- Updated README.SATA.
* Fri Aug 27 2004 - sbrabec@suse.cz
- Updated to version 5.32.
* Sun Jun 06 2004 - lmuelle@suse.de
- Update to version 5.31.
- Add stop_on_removal to preun and restart_on_update to postun.
* Sun Apr 25 2004 - lmuelle@suse.de
- Add reload and condrestart to init script; [#39425].
* Mon Mar 08 2004 - sbrabec@suse.cz
- Updated to version 5.30.
* Fri Mar 05 2004 - sbrabec@suse.cz
- Added README.SATA.
- Added %%build section.
* Tue Mar 02 2004 - sbrabec@suse.cz
- Updated to version 5.29.
* Mon Jan 12 2004 - adrian@suse.de
- build as user
* Fri Jan 09 2004 - mmj@suse.de
- Updated to version 5.26
* Fri Aug 22 2003 - sbrabec@suse.cz
- Updated to version 5.1-18.
* Thu Aug 21 2003 - sbrabec@suse.cz
- Updated to version 5.1-17.
* Mon Aug 11 2003 - sbrabec@suse.cz
- Added $sendmail to X-UnitedLinux-Should-Start.
* Thu Aug 07 2003 - sbrabec@suse.cz
- Updated to version 5.1.16.
* Wed May 21 2003 - sbrabec@suse.cz
- Updated to version 5.1.9.
- Fixed RPM file attributes.
* Wed Mar 26 2003 - sbrabec@suse.cz
- Updated to version 5.1.9.
* Mon Jan 27 2003 - sbrabec@suse.cz
- Updated to version 5.1.4.
* Mon Jan 13 2003 - sbrabec@suse.cz
- Updated to version 5.1.1.
* Tue Dec 10 2002 - sbrabec@suse.cz
- Updated to version 5.0.49.
* Mon Nov 25 2002 - sbrabec@suse.cz
- Fixed SuSE specific things in docs and manual pages.
* Mon Nov 18 2002 - sbrabec@suse.cz
- New package.
